OUTPUT_ARCH( "riscv" )
ENTRY(_start)

SECTIONS
{
  . = 0x80000000;
  .text.init : { *(.text.init) }
  . = ALIGN(0x1000);
  .tohost : { *(.tohost) }
  . = ALIGN(0x1000);
  .text : { *(.text) }
  . = 0x80003000;
  .data : { *(.begin_signature) }
  . = 0x80004000;
  .data : { *(.end_signature) }
  .bss : { *(.bss) }
  _end = .;
}

